<?php 
/**********************************************************************
 Some common functions for all phtml pages on the site, 
 Written by Alexander Selifonov, http://as-works.narod.ru
 **********************************************************************/

function HTML_Header($PGtitle = 'Default page Title', $ShowTitle = 1, $w90='')
{ // draw html page designed header, w90 defines percentage width (table tag)
  $clrBg = GetColorCode(0);
  $clrA = GetColorCode(5);
?>

<HTML><HEAD><TITLE><?php echo $PGtitle?></TITLE>
<META http-equiv="Content-Type" Content="text/html; charset=windows-1251">
<style>
<!--
body    { font-family:arial,helvetica;font-size:13px; }
td      { font-family:arial,helvetica;font-size:13px; }
a:hover {text-decoration: underline; color:<?php echo GetColorCode(6)?>;}
-->
</style>
</HEAD>
<BODY bgcolor="<?PHP echo $clrBg ?>" LINK="<?PHP echo $clrA?>" >
<?php

 if ($ShowTitle > 0)
 {

?>
<center><table width="100%" border="0" cellspacing="0" cellpadding="0" height="106">
  <tr> 
    <td height="106"  align="center" valign="CENTER"><font size="+1"><b><?php echo $PGtitle?>
</b></font></td>
</table>
</center>
<?php
 }
 if($w90>0)
 {
    echo "<center><table border=0 width=\"$w90%\"><tr><td>\n";
 }
} // end HTML_Header()

function HTML_Footer($BackButton = 'Back', $HomeButton = 'Home', $w90='')
{ // drawing page footer, including </body></html>
?>
<hr width="95%">
<b>
<?PHP if($w90>0) echo "</tr></td></table></center>\n";  ?>
<p><center>
<?php
if(!empty($BackButton)) echo "<a href=\"./\">$BackButton</a>&nbsp;";
if(!empty($HomeButton)) echo "<a href=\"/\">$HomeButton</a>\n";
?>
<br><br><FONT SIZE="-2">Copyright &copy; Your company Name here
<BR>Powered by (Your web server) + PHP4</FONT>
</b></center>
</BODY>
</HTML>
<?php
} // end HTML_Footer()

function GetPalette()
{
  return 0; // modify this return value : 0 - GREEN palette, 1 - BLUE, ...
  // If You want Your own palette, modify GetColorCode() function too !
}

function GetColorCode($colnum = 0)
{ // some color codes. Edit them to make your own palette !

  $Npalette = GetPalette();

  if($Npalette == 0) // GREEN palette
  switch($colnum)
  {
	  case 0: return '#A0FFA0'; // normal body background
	  case 1: return '#108010'; // table border #60F060
	  case 2: return '#60E060'; // table header row background 
	  case 3: return '#80E080'; // button background
	  case 4: return '#80F080'; // normal table row backGnd
	  case 5: return '#108010'; // LINK color
	  case 6: return '#40A040'; // A Hover color
  }
  else if($Npalette == 1) // BLUE palette
  switch($colnum)
  {
	  case 0: return '#C0C0FF';
	  case 1: return '#101080';
	  case 2: return '#8080F0';
	  case 3: return '#A5A5F0';
	  case 4: return '#B0B0FF';
	  case 5: return '#101080';
	  case 6: return '#4040FF';
  }
// ... Make your own palette here !
  else // Gray palette if none valid palette specified: 
  switch($colnum)
  {
	  case 0: return '#C0C0C0';
	  case 1: return '#404040';
	  case 2: return '#A0A0A0';
	  case 3: return '#959595';
	  case 4: return '#BEBEBE';
	  case 5: return '#202020';
	  case 6: return '#404040';
  }
}


function UserIsAdmin($adr = '')
{
  global $REMOTE_ADDR;
  if($adr == '') $adr = $REMOTE_ADDR;
  $AdminIP = array("127.0.0.1", "192.168.1.1"); // your IPs here...
  // Administrator's PS IP addreses: they can view everything

  if (in_array($adr, $AdminIP))
       return 1; 
  else return 0;
}

function GetBannedList()
{
  Global $banned;
  $banned[] = "secretname1";
  $baned[] = "secretname2";
  $banned[] = "Administrator";
  // these names cannot be shown for ordinary users in the traffic page
}

function SubmitBtn($name='submit', $txt='SUBMIT')
{ // returns HTML-code for colored "submit" button
  return "<input type=SUBMIT style=\"background:".GetColorCode(3).";\" name=$name value=\"$txt\">\n";
}
?>